package com.bonus.core.account.vo;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

public class CardInfoVO implements Serializable {
   @ApiModelProperty("总数")
   private Long count;
   private List<Card> cards;

   public Long getCount() {
      return this.count;
   }

   public List<Card> getCards() {
      return this.cards;
   }

   public void setCount(final Long count) {
      this.count = count;
   }

   public void setCards(final List<Card> cards) {
      this.cards = cards;
   }


   public static class Card implements Serializable {
      @ApiModelProperty("人员id")
      private String custId;
      @ApiModelProperty("卡物理号")
      private String serialNum;
      @ApiModelProperty("卡状态 1-正常 2-冻结 4-挂失")
      private Integer cardStatus;
      @ApiModelProperty("押金（单位分）")
      private Integer deposit;
      @ApiModelProperty("工本费（单位分）")
      private Integer productCost;
      @ApiModelProperty("三方卡号")
      private String thirdSerialNum;

      public String getCustId() {
         return this.custId;
      }

      public String getSerialNum() {
         return this.serialNum;
      }

      public Integer getCardStatus() {
         return this.cardStatus;
      }

      public Integer getDeposit() {
         return this.deposit;
      }

      public Integer getProductCost() {
         return this.productCost;
      }

      public String getThirdSerialNum() {
         return this.thirdSerialNum;
      }

      public void setCustId(final String custId) {
         this.custId = custId;
      }

      public void setSerialNum(final String serialNum) {
         this.serialNum = serialNum;
      }

      public void setCardStatus(final Integer cardStatus) {
         this.cardStatus = cardStatus;
      }

      public void setDeposit(final Integer deposit) {
         this.deposit = deposit;
      }

      public void setProductCost(final Integer productCost) {
         this.productCost = productCost;
      }

      public void setThirdSerialNum(final String thirdSerialNum) {
         this.thirdSerialNum = thirdSerialNum;
      }

   }
}
